<?php
/**
 * This script is DEPRECATED, now using /usr/share/ossim/www/report/graphs/graph_geoloc_threat.php
 */
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-cache");
header("Pragma: no-cache");

ini_set('include_path', '/usr/share/ossim/include/');

require_once 'av_init.php';
require_once 'include/geoloc.conf';

require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_line.php");
require ("/usr/share/ossim/www/graphs/jpgraph/jpgraph_scatter.php");

Session::useractive();

if (!Session::logcheck_bool("report-menu", "ReportsReportServer"))
{
    die();
}

$date_from = ($_GET['date_from'] != "") ? $_GET['date_from'] : strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
$date_to = ($_GET['date_to'] != "") ? $_GET['date_to'] : strftime("%Y-%m-%d", time());

ossim_valid($date_from, OSS_DATE, 'illegal:' . _("Date From"));
ossim_valid($date_to,   OSS_DATE, 'illegal:' . _("Date To"));
if (ossim_error()) {
    die(ossim_error());
}

$data = getSourceCoordYear($localdb,$date_from,$date_to);

#Resolution de la database:
$xdb=620;
$ydb=310;
# Resolution de l'image
$ximg=1264;
$yimg=694;
# Rapport :
$rapport_x=$ximg/$xdb;
$rapport_y=$yimg/$ydb;


// Some data
$yadapt=310;

// A nice graph with anti-aliasing
$graph = new Graph($ximg,$yimg,"auto");
$graph->img->SetMargin(1,1,1,1);    
$graph->SetBackgroundImage("include/mappemonde.jpg",BGIMG_FILLFRAME);

//$graph->img->SetAntiAliasing("white");
//$graph->img->SetAntiAliasing("black");
$graph->SetScale("lin",1,$yimg,1,$ximg);
$graph->ygrid->Show(false,false);
$graph->xgrid->Show(false,false);
$graph->xaxis->Hide();
$graph->yaxis->Hide();

//print_r($data);
$pays = array();

$vol_max=0;
foreach ($data as $line) {
	$vol_max=$vol_max+intval($line["volume"]);
	}


$i=0;
foreach ($data as $line) {
	$x=intval($line["abs"])*$rapport_x - 45;
	$y=intval($yadapt - $line["ord"])*$rapport_y - 80;
	$abs = array($x);
	$ord = array($y);
	$pays[$i]= new ScatterPlot($ord,$abs);
	$pays[$i]->mark->SetType(MARK_FILLEDCIRCLE);
#	$pays[$i]->mark->SetColor("red@0.9");

	$volume=($line["volume"]/$vol_max)*100;

	if( ($volume > 0) && ($volume <=25)) {
		$pays[$i]->mark->SetColor("yellow@0.5");
		$pays[$i]->mark->SetFillColor("yellow@0.4");
		}
	if( ($volume > 25) && ($volume <=50)) {
		$pays[$i]->mark->SetColor("orange@0.9");
		$pays[$i]->mark->SetFillColor("orange@0.8");
		}
	if ($volume > 50) {
		$pays[$i]->mark->SetColor("red@0.9") ;
		$pays[$i]->mark->SetFillColor("red@0.8");
		}

	$pays[$i]->mark->SetSize(10);
	$graph->Add($pays[$i]);
	$i++;
}

$_90 = array(90);
$_50 = array(50);
$_120 = array(120);
$_150 = array(150);

$legende25=new ScatterPlot($_90,$_50);
$legende25->mark->SetType(MARK_FILLEDCIRCLE);
$legende25->mark->SetColor("yellow@0.5");
$legende25->mark->SetFillColor("yellow@0.4");
$legende25->mark->SetSize(10);
$graph->Add($legende25);

$legtext25=new Text(" < 25%");
$legtext25->SetPos(70,597);
$legtext25->SetColor("black");
$legtext25->SetFont(FF_FONT1,FS_BOLD,15);
$graph->AddText($legtext25);

$legende50=new ScatterPlot($_120,$_50);
$legende50->mark->SetType(MARK_FILLEDCIRCLE);
$legende50->mark->SetColor("orange@0.5");
$legende50->mark->SetFillColor("orange@0.4");
$legende50->mark->SetSize(10);
$graph->Add($legende50);

$legtext50=new Text(" < 50%");
$legtext50->SetPos(70,567);
$legtext50->SetColor("black");
$legtext50->SetFont(FF_FONT1,FS_BOLD,16);
$graph->AddText($legtext50);

$legende100=new ScatterPlot($_150,$_50);
$legende100->mark->SetType(MARK_FILLEDCIRCLE);
$legende100->mark->SetColor("red@0.5");
$legende100->mark->SetFillColor("red@0.4");
$legende100->mark->SetSize(10);
$graph->Add($legende100);

$legtext100=new Text(" > 50%");
$legtext100->SetPos(70,537);
$legtext100->SetColor("black");
$legtext100->SetFont(FF_FONT1,FS_BOLD,16);
$graph->AddText($legtext100);

$graph->Stroke();



?>


