<?php

function getService($localdb,$IP) {


		$db = new DB($localdb[1],USERNAME,PASSWORD,DATAWAREHOUSE);
		$sql = "select dest_ip,service from ip2service WHERE dest_ip='$IP';";

		$result=$db->query($sql);

		foreach ($result as $net) {
			return ($net['service']);
			}	 


}


function getIP2Country($localdb,$IP){

	$db = new DB($localdb[1],USERNAME,PASSWORD,DATAWAREHOUSE);	
	
	$sql = "select country from ip2country where INET_ATON('".$IP."') >= start and INET_ATON('".$IP."') <= end;";
	$result = $db->query($sql);

	$pays = $result[0]["country"];

	if (!$pays) return("Source Inconnue");

	return($pays);

}

function whereYM($date_from,$date_to) {
    $sql_year = "STR_TO_DATE( CONCAT( year, '-', month, '-', day ) , '%Y-%m-%d' ) >= '$date_from' AND STR_TO_DATE( CONCAT( year, '-', month, '-', day ) , '%Y-%m-%d' ) <= '$date_to'";
    return $sql_year;
}


function getSourceLocalSSIYear($localdb, $date_from, $date_to)
{

    $db = new DB($localdb[1], USERNAME, PASSWORD, DATAWAREHOUSE);

    $where_range = whereYM($date_from, $date_to);
    
    $user = Session::get_session_user();

    $sql = "SELECT source, count(*) as volume from ssi_user WHERE ssi_user.user = '$user' AND $where_range Group BY source;";

    //print_r($sql);
    $result = $db->query($sql);

    return ($result);
}


function getSourceRepartitionYear($localdb,$date_from,$date_to) {

	$result=getSourceLocalSSIYear($localdb,$date_from,$date_to);

	foreach ($result as $ligne)
       	{
		$destinationnet=getService($localdb,$ligne['source']);
	
			
			if (!$destinationnet) {
				if(!$tab[getIP2Country($localdb,$ligne["source"])]) $tab[getIP2Country($localdb,$ligne["source"])]=0;
				$tab[getIP2Country($localdb,$ligne["source"])]=$tab[getIP2Country($localdb,$ligne["source"])]+$ligne["volume"];
			}
			
	}

	if(is_array($tab)){

	arsort($tab);
	reset($tab);

	return $tab;
	} else {
	return NULL;
	}
}


function getSourceCoordYear($localdb,$date_from="",$date_to="") {
	
	$data = array();
    if ($date_from == "" || $date_to == "") { // Last Month by default
    	$date_from = strftime("%Y-%m-%d", time() - (24 * 60 * 60 * 30));
    	$date_to = strftime("%Y-%m-%d", time());
    }

	$tab = getSourceRepartitionYear($localdb,$date_from,$date_to);

	$db = new DB($localdb[1],USERNAME,PASSWORD,DATAWAREHOUSE);

  if(is_array($tab)){
	foreach ($tab as $pays=>$volume) {

		
		$sql="select distinct(g.nom),g.abs,g.ord from geo g, ip2country i where UPPER(g.pays)=UPPER(i.a2) and i.country='".$pays."';";
		$result=$db->query($sql);
		if ($result[0]['ord'] && $result[0]['abs']) 
		array_push($data , array("nom"=>$result[0]['nom'],"abs"=> $result[0]['abs'],"ord"=> $result[0]['ord'],"volume"=> $volume));
	}
	}

	return($data);
}


?>
